> For the complete documentation index, see [llms.txt](https://docs.indicio.tech/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.indicio.tech/developer/indicio-proven-r/api-reference/taa.md).

# TAA

Endpoints for managing the Transaction Author Agreement (TAA)

## Fetch the TAA

> This endpoint fetches the Transaction Author Agreement (TAA) using the provided API key.

```json
{"openapi":"3.0.0","info":{"title":"Proven API","version":"1.0.0"},"tags":[{"name":"TAA","description":"Endpoints for managing the Transaction Author Agreement (TAA)"}],"servers":[{"url":"https://proven-4-2-test.proven.indicio.tech"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/api/v1/fetch-taa":{"post":{"summary":"Fetch the TAA","description":"This endpoint fetches the Transaction Author Agreement (TAA) using the provided API key.","tags":["TAA"],"responses":{"200":{"description":"TAA fetched successfully","content":{"application/json":{"schema":{"type":"object","properties":{"taa":{"type":"object","description":"The fetched TAA."}}}}}},"401":{"description":"Unauthorized."},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}}}}}
```

## Accept the TAA

> This endpoint accepts the Transaction Author Agreement (TAA) using the provided API key and TAA data.

```json
{"openapi":"3.0.0","info":{"title":"Proven API","version":"1.0.0"},"tags":[{"name":"TAA","description":"Endpoints for managing the Transaction Author Agreement (TAA)"}],"servers":[{"url":"https://proven-4-2-test.proven.indicio.tech"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/api/v1/accept-taa":{"post":{"summary":"Accept the TAA","description":"This endpoint accepts the Transaction Author Agreement (TAA) using the provided API key and TAA data.","tags":["TAA"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"mechanism":{"type":"string","description":"Mechanism for accepting TAA."},"text":{"type":"string","description":"The Transaction Author Agreement"},"version":{"type":"string","description":"Version of the TAA"}},"required":["mechanism"]}}}},"responses":{"200":{"description":"TAA accepted successfully","content":{"application/json":{"schema":{"type":"object","properties":{"taa":{"type":"object","description":"The accepted TAA."}}}}}},"401":{"description":"Unauthorized."},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}}}}}
```
